from discord.ext import commands
import discord
import os
import sys

class discord_debug(commands.Cog):
    def __init__(self, bot):
      self.bot = bot
      
    @commands.group(aliases=["dd"])
    async def discord_debug(self,ctx):
      if ctx.invoked_subcommand is None:
        await ctx.send('A subcommand is required after the main command.')
    
    @discord_debug.command()
    @commands.is_owner()
    async def reboot(self,ctx):
      await ctx.send("restarting")
      await self.bot.change_presence(status=discord.Status.idle,activity=discord.Game(name='restarting🔄', type=1))
      python = sys.executable
      os.execl(python, python, *sys.argv)
      
    @discord_debug.command()
    @commands.is_owner()
    async def reload(self,ctx,text):
      self.bot.reload_extension(text)
      
    @discord_debug.command()
    @commands.is_owner()
    async def load(self,ctx,text):
      self.bot.load_extension(text)
      
    @discord_debug.command()
    @commands.is_owner()
    async def unload(self,ctx,text):
      self.bot.unload_extension(text)
      
    @discord_debug.command()
    async def status(self,ctx):
      embed = discord.Embed(title="status",description="Now loading...",color=color)
      m=await ctx.send(embed=embed)
      embed = discord.Embed(title="status",color=color)
      embed.add_field(name="discord.py version",value=discord.__version__,inline=False)
      embed.add_field(name="Memory",value=f"{psutil.virtual_memory().percent}%",inline=False)
      embed.add_field(name="CPU",value=f"{psutil.cpu_percent(interval=1)}%",inline=False)
      embed.add_field(name="Disk",value=f"{psutil.disk_usage('/').percent}%",inline=False)
      embed.add_field(name="ping値",value=f"{round(self.bot.latency * 1000)}ms",inline=False)
      await m.edit(embed=embed)
    
def setup(bot):
  return bot.add_cog(discord_debug(bot))